Bug 362571 - Rhythmbox hangs during playback
Rhythmbox hangs during playback
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gstreamer (Show other bugs)
5.1
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Bastien Nocera
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 16:35 EDT by Stuart Hayes
Modified: 2010-10-22 15:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:14:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stuart Hayes 2007-11-01 16:35:20 EDT
Description of problem:

If I create a playlist of 8 sounds from /usr/share/sounds (I'm using one .ogg 
and 7 .wav files), and turn on "repeat", then play the sounds, rhythmbox will 
hang.  It only takes about 5-10 minutes to hang.  An strace shows that it's 
stuck at a futex.

If I install gstreamer-0.10.11-1.fc6, it works fine.  (I had to update some 
other RPMs to install this.)  If I then go back to the original gstreamer 
(gstreamer-0.10.9-3.el5), it will again fail in the same manner.  I then tried 
gstreamer-0.10.10 (upstream), and that fails in the same manner.  So 
presumably something was fixed between 0.10.10 and 0.10.11, but I don't know 
what.

Version-Release number of selected component (if applicable):
RHEL5.1
gstreamer-0.10.9-3.el5
rhythmbox-0.9.5-8.el5


How reproducible:
Every time, quickly

Steps to Reproduce:
1. run rhythmbox
2. setup playlist (I used KDE_Desktop_1.ogg, KDE_Desktop1-4.wav (that's 4 
files), KDE_Critical_Error.wav, and KDE_Close_Window.wav 
from /usr/share/sounds)
3. turn on repeat
4. play sounds
5. wait for rhythmbox to quit playing... it will no longer refresh the window 
either
  
Actual results:
Rhythmbox hangs

Expected results:
Rhythmbox should keep playing sounds forever

Additional info:
I've attached the tail of the strace output.
Comment 1 Stuart Hayes 2007-11-02 17:21:21 EDT
My tests seem to indicate that it is something that changed in gst/gstpad.c 
and/or gst/gstpad.h from 0.10.10 to 0.10.11 that fixes this issue.  I compiled 
0.10.10 with just those two files from 0.10.11, and it ran for a couple hours, 
no problem.
Comment 2 RHEL Product and Program Management 2007-11-20 13:15:15 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Suzanne Yeghiayan 2008-01-24 13:46:29 EST
Unfortunately Red Hat Engineering was unable to resolve this issue by RHEL 5.2
Beta Freeze.  This issue has been moved to address in RHEL 5.3.
Comment 4 RHEL Product and Program Management 2008-06-04 18:48:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Bastien Nocera 2008-08-18 06:06:29 EDT
Tentatively, should be fixed by the upgrade to 0.11.6.
Comment 7 Chris Ward 2008-11-28 02:12:38 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 10 errata-xmlrpc 2009-01-20 17:14:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0242.html

Note You need to log in before you can comment on or make changes to this bug.